<?php
/**
 * CodeIgniter
 *
 * An open source application development framework for PHP
 *
 * This content is released under the MIT License (MIT)
 *
 * Copyright (c) 2014 - 2017, British Columbia Institute of Technology
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 * @package	CodeIgniter
 * @author	EllisLab Dev Team
 * @copyright	Copyright (c) 2008 - 2014, EllisLab, Inc. (https://ellislab.com/)
 * @copyright	Copyright (c) 2014 - 2017, British Columbia Institute of Technology (http://bcit.ca/)
 * @license	http://opensource.org/licenses/MIT	MIT License
 * @link	https://codeigniter.com
 * @since	Version 1.0.0
 * @filesource
 */
defined('BASEPATH') OR exit('No direct script access allowed');

$lang['form_validation_required']		= '{field} هذا الحقل مطلوب';
$lang['form_validation_isset']			= 'لا يجب أن يكون حقل {field} فارغ.';
$lang['form_validation_valid_email']		= 'يجب أن يحتوي الحقل {field} على عنوان بريد إلكتروني صالح.';
$lang['form_validation_valid_emails']		= 'يجب أن يحتوي الحقل {field} على عنوان بريد إلكتروني صالح.';
$lang['form_validation_valid_url']		= 'يجب أن يتضمن الحقل {field} URL صالح.';
$lang['form_validation_valid_ip']		= 'يجب أن يحتوي الحقل {field} على عنوان IP صالح.';
$lang['form_validation_min_length']		= 'يجب أن يكون الحقل {field} على الأقل {param} حرفاً في الطول.';
$lang['form_validation_max_length']		= 'لا يمكن أن يتجاوز الحقل {field} {param} حرفاً في الطول.';
$lang['form_validation_exact_length']		= 'يجب أن يكون الحقل {field} بالضبط {param} حرفاً في الطول.';
$lang['form_validation_alpha']			= 'قد يحتوي الحقل {field} على الحروف الأبجدية فقط.';
$lang['form_validation_alpha_numeric']		= 'قد يحتوي الحقل {field} على أحرف أبجدية رقمية فقط.';
$lang['form_validation_alpha_numeric_spaces']	= 'الحقل {field} قد يحتوي فقط على أحرف أبجدية رقمية وممنوع.';
$lang['form_validation_alpha_dash']		= 'الحقل {field} قد يحتوي فقط على أحرف أبجدية رقمية، وشرطات.';
$lang['form_validation_numeric']		= 'الحقل {field} يجب أن يحتوي على أرقام فقط.';
$lang['form_validation_is_numeric']		= 'يجب أن يحتوي الحقل {field} على أحرف رقمية فقط.';
$lang['form_validation_integer']		= 'يجب أن يحتوي الحقل {field} على عدد صحيح.';
$lang['form_validation_regex_match']		= 'الحقل {field} ليس في التنسيق الصحيح.';
$lang['form_validation_matches']		= 'لا يطابق الحقل {field} حقل {param}.';
$lang['form_validation_differs']		= 'يجب أن يختلف حقل {field} عن حقل {param}.';
$lang['form_validation_is_unique'] 		= 'يجب أن يتضمن الحقل {field} قيمة فريدة من نوعها.';
$lang['form_validation_is_natural']		= 'يجب أن يحتوي الحقل {field} فقط الأرقام.';
$lang['form_validation_is_natural_no_zero']	= 'حقل {field} يجب أن يحتوي على أرقام فقط، ويجب أن يكون أكبر من الصفر.';
$lang['form_validation_decimal']		= 'يجب أن يتضمن الحقل {field} عدد عشري.';
$lang['form_validation_less_than']		= 'يجب أن يحتوي الحقل {field} على أقل عدد من {param}.';
$lang['form_validation_less_than_equal_to']	= 'يجب أن يحتوي الحقل {field} على عدد أقل من أو يساوي إلى {param}.';
$lang['form_validation_greater_than']		= 'يجب أن يحتوي الحقل {field} على عدد أكبر من {param}.';
$lang['form_validation_greater_than_equal_to']	= 'يجب أن يتضمن الحقل {field} عددا أكبر من أو تساوي {param}.';
$lang['form_validation_error_message_not_set']	= 'غير قادر على الوصول إلى رسالة خطأ المقابلة {field} اسم المجال الخاص بك.';
$lang['form_validation_in_list']		= 'يجب أن يكون الحقل {field} أحد: {param}.';
